This object allows you to create custom Notification Types which will create interaction instances (such as emails, text messages, etc.) automatically when case conditions are met. For example, when a new bankruptcy case is initiated, the system can automatically send an email notification and ask the borrower to provide supporting documents.
The conditions are set in the following way. There are two triggers and one condition fields that you can configure:
onStatus- triggered based on the case status.onOutcome- triggered based on the case outcome.onCondition- condition(s) based on case fields values.
You must provide at least one trigger, onStatus or onOutcome, when creating a new Notification Type object.
Few examples:
onStatus=processing,onOutcome=null,onCondition=null- theinteractioninstance will be created when the case status is changed toprocessing.onStatus=completed,onOutcome=approved,onCondition=null- theinteractioninstance will be created when the case status is changed tocompletedand the outcome isapproved.
Notification Types must be associated with Case Types. A Notification Type object can be associated with multiple Case Types.
Security
oauth2(Required scopes: notification.type:list) or bearerAuth or apiKeyHeader
GET
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X GET \
'https://sandboxapi.peach.finance/api/notification-types?loanTypeId=string&limit=25&startingAfter=string&endingBefore=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
{ "count": 0, "status": 0, "data": [ { … } ] }